Subject: Re: linux-next: build warning after merge of the printk tree

From: Chris Down <[email-masked]>
Date: Tue, 20 Jul 2021 13:18:23 +0100

+Cc: Jonathan Corbet <[email-masked]>, [email-masked]

Stephen Rothwell writes:
>After merging the printk tree, today's linux-next build (htmldocs)
>produced this warning:
>
>kernel/printk/printk.c:1: warning: 'printk' not found
>
>Introduced by commit
>
>  337015573718 ("printk: Userspace format indexing support")
>
>I presume that "printk" is referred to elsewhere in the documentation
>as being in this file.

Hmm, this is an interesting one, because I think we still generally just want 
to refer to the API as being `printk()`. Changing it all over the place seems 
wrong. As you'd imagine, there are quite a few references to this name, so it 
requires a lot of noise all over the docs and inline comments.

Jonathan and other docs folks, how can one tell Sphinx that when it sees 
printk() it's referring to a function-like macro, or otherwise squelch this 
reasonably? :-)